#lang racket/base

(require
  "todo-txt.rkt"
  "todoreport/private/cli.rkt")

(define (main)
  (define command-line-data (make-command-line-data))
  (define grouped-tasks
    (group-tasks (command-line-data-tasks command-line-data)
                 (command-line-data-group-specs command-line-data)
                 (command-line-data-sort-specs command-line-data)))
  (displayln (group-tasks-result->string
               grouped-tasks
               #:omit-fields (command-line-data-field-omission-specs command-line-data)))
  (newline))

(main)
